Skip to main content

Check if a company exists

POST/v2/actions/verify-company
API version
v2
Request method
POST
Operation ID
verification-verify-company

Only companies registered in the German company register are currently supported.

Request​

Responses​

Format
application/json
Description

Success

  • existsbooleanrequired
Content-Type: application/json

{
"exists": true
}
{
"properties": {
"exists": {
"type": "boolean"
}
},
"required": [
"exists"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"name":"Mittwald CM Service GmbH & Co. KG"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/actions/verify-company
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.misc.verificationVerifyCompany({
"data": {
"name": "Mittwald CM Service GmbH & Co. KG"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Misc\VerificationVerifyCompany\VerificationVerifyCompanyRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Misc\VerificationVerifyCompany\VerificationVerifyCompanyRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// VerificationVerifyCompanyRequestBody to learn how to construct a valid instance
$body = new VerificationVerifyCompanyRequestBody(/* TODO: ... */);

$request = (new VerificationVerifyCompanyRequest(
body: $body
));
$response = $client->misc()->verificationVerifyCompany($request);

var_dump($response->getBody();

On this page